MagickMind
  1. Project
  • Get started
    • Introduction
    • Quick Start
    • First API Call
  • Core Concepts
    • Projects
    • Corpus
    • Mindspaces
    • End-Users
    • Websocket
  • Authentication
    • Overview
    • OAuth Flow
    • API Keys
  • Guides
    • Creating a Corpus
    • Managing End-Users
  • SDK
    • Python
    • Go
  • API
    • v1
      • Auth
        • Login
        • Refresh Token
      • End-Users
        • Create End-User
        • Get End-User by ID
        • Update End-User
        • Query End-Users
        • Delete End-User
      • Project
        • Create Project
          POST
        • Get Project by ID
          GET
        • Get Project List
          GET
        • Update Project
          PUT
        • Delete Project
          DELETE
      • Mindspaces
        • Create Mindspace
        • Update Mindspace
        • Get Mindspace by ID
        • Get Mindspace List
        • Delete Mindspace
        • Get Mindspace Messages
        • Delete Mindspace
        • Add Mindspace Users by ID
      • Chat
        • Magick Mind Chat
      • Realtime
        • Websocket Subscribe
  1. Project

Update Project

Prod Env
https://api.magickmind.ai
Prod Env
https://api.magickmind.ai
PUT
/v1/projects/{id}
Update an existing project

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Successful response
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.magickmind.ai/v1/projects/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "string",
    "description": "string",
    "corpus_ids": [
        "string"
    ]
}'
Response Response Example
{
    "id": "string",
    "name": "string",
    "description": "string",
    "corpus_ids": [
        "string"
    ],
    "created_by": "string",
    "created_at": "string",
    "updated_at": "string"
}
Previous
Get Project List
Next
Delete Project
Built with